#Balloon

C
Control
R
Control

Delay
P
i

Font
P
Font

Visible
R
b

_call
M

(Message)s(Control)Control;[(Icon)Picture;(X)i(Y)i]
Info
M

(Message)s(Control)Control;[(X)i(Y)i]
Warning
M

(Message)s(Control)Control;[(X)i(Y)i]
Error
M

(Message)s(Control)Control;[(X)i(Y)i]
Question
M

(Message)s(Control)Control;[(X)i(Y)i]
Delete
M

(Message)s(Control)Control;[(X)i(Y)i]
Hide
M

[(Control)Control;]
#ColorButton
UserControl
CO
:Change
:


Color
p
i

Value
p
i

_Properties
C
s
*,Value{Color}
_DefaultEvent
C
s
Change
_new
m


Button_Click
m


Button_Resize
m


#ColorChooser
UserControl
C
:Change
:


:Activate
:


_Properties
C
s
*,ShowAlpha
_DefaultEvent
C
s
Change
_DefaultSize
C
s
36,36
SelectedColor
p
i

Value
p
i

ShowAlpha
p
b

_new
m


frmChooser_Change
m


frmChooser_Resize
m


frmChooser_Open
m


frmChooser_Confirm
m


#DateChooser
UserControl
C
Value
p
d

Year
p
i

Month
p
i

Day
p
i

Font
p
Font

:Change
:


:Activate
:


_Properties
C
s
*
_DefaultEvent
C
s
Change
_DefaultSize
C
s
40,28
_new
m


_Change
m


_Activate
m


SetDateColor
m

(Date)d(Color)i
#DirChooser
UserControl
C
_Properties
C
s
*,Root,Picture,ShowHidden,ShowFile,ShowDetailed,ShowBookmark,ShowSplitter=True
_DefaultEvent
C
s
Change
_DefaultSize
C
s
36,36
Root
p
s

Picture
p
Picture

SelectedPath
p
s

Value
p
s

ShowFile
p
b

ShowHidden
p
b

ShowDetailed
p
b

ShowBookmark
p
b

ShowSplitter
p
b

Bookmarks
p
Array

Icon
p
Picture

Settings
p
String[]

:Change
:


:Activate
:


:Icon
:

(Path)s
_new
m


frmChooser_Open
m


frmChooser_Change
m


frmChooser_Select
m


frmChooser_GetIcon
m

(Path)s
#DirView
UserControl
C
_Properties
C
s
*,Border=True,Root,Picture,ShowHidden
_DefaultEvent
C
s
Click
:Select
:


:Click
:


:Activate
:


:Menu
:


:Icon
:

(Path)s
Root
p
s

Current
p
s

ShowHidden
p
b

Picture
p
Picture

Border
p
b

Icon
p
Picture

_new
m


TreeView_Expand
m


TreeView_Collapse
m


TreeView_Select
m


TreeView_Activate
m


TreeView_Click
m


TreeView_Menu
m


TreeView_Rename
m


TreeView_Cancel
m


NewFolder
m


Reload
m


#Expander
UserContainer
C
_Properties
C
s
*,Text,TextFont,Animated,Hidden
_DefaultEvent
C
s
Show
:Show
:


:Hide
:


Hidden
p
b

Text
p
s

TextFont
p
Font

Animated
p
b

_new
m


_Show
m


_Hide
m


#FileChooser
UserControl
C
_Properties
C
s
*,Root,Picture,Multi,Filter,ShowHidden,ShowDirectory,ShowDetailed,ShowBookmark,ReadOnly
_DefaultEvent
C
s
Change
_DefaultSize
C
s
36,36
Root
p
s

Picture
p
Picture

Dir
p
s

SelectedPath
p
s

SelectedPaths
r
String[]

Value
p
v

Multi
p
b

ShowDirectory
p
b

ShowHidden
p
b

ShowDetailed
p
b

ShowBookmark
p
b

Bookmarks
p
Array

Settings
p
String[]

ReadOnly
p
b

Filter
p
String[]

FilterIndex
p
i

Icon
p
Picture

:Change
:


:Activate
:


:Icon
:

(Path)s
_new
m


frmChooser_Open
m


frmChooser_Change
m


frmChooser_Select
m


frmChooser_GetIcon
m

(Path)s
#FileView
UserControl
C
_Properties
C
s
*,Border=True,Mode{Select.*},Dir,ShowDetailed,ShowHidden,ShowDirectory
_DefaultEvent
C
s
Click
:Select
:


:Click
:


:Activate
:


:Menu
:


:Icon
:

(Path)s
Dir
p
s

ShowHidden
p
b

ShowDirectory
p
b

Current
p
s

Font
p
Font

Mode
p
i

ShowDetailed
p
b

Selection
r
String[]

Filter
p
String[]

Icon
p
Picture

Border
p
b

Settings
p
s

Count
r
i

_init
M


_new
m


Reload
m


View_Select
m


View_Click
m


View_Activate
m


View_Menu
m


View_Compare
m

(Key)s(OtherKey)s
#FontChooser
UserControl
C
:Change
:


:Activate
:


_Properties
C
s
*,FixedOnly,ShowStyle=True,ShowPreview=True,ShowLabel=True
_DefaultEvent
C
s
Change
_DefaultSize
C
s
36,36
SelectedFont
p
s

Value
p
s

FixedOnly
p
b

ShowStyle
p
b

ShowPreview
p
b

ShowLabel
p
b

_new
m


_Change
m


_Activate
m


#InputBox

C
_call
M
s
(Prompt)s[(Title)s(Default)s]
#ListContainer
UserContainer
C
_Properties
C
s
*,-Padding,-Spacing,-Arrangement,-AutoResize
_Arrangement
C
i
2
_DefaultEvent
C
s
Click
:Click
:


:Activate
:


Count
r
i

Index
p
i

Current
p
Control

Background
p
i

_new
m


ScrollView_Insert
m

(Child)Control;
Child_Insert
m

(Child)Control;
EnsureVisible
m


Child_MouseDown
m


Child_MouseMove
m


Child_MouseUp
m


Child_Timer
m


Child_DblClick
m


Select
m

(hChild)Control;
Clear
m


Lock
m


Unlock
m


#SidePanel
UserContainer
C
_Properties
C
s
*,Action,Orientation{Align.Top;Bottom;Left;Right}=Top,Resizable=True,Border,Hidden
:Show
:


:Hide
:


:Resize
:


Orientation
p
i

Border
p
b

Hidden
p
b

Resizable
p
b

Dimension
p
i

Tooltip
p
s

Value
p
b

Action
p
s

Design
p
b

Settings
p
s

_new
m


_Show
m


_Hide
m


_Resize
m


#Stock

C
List
R
String[]

_get
M
Picture
(Key)s
#TableView
GridView
C
:Save
:

(Row)i(Column)i(Value)s
:Insert
:


:Click
:


_new
m


Save
m


Cancel
m


GridView_MouseDown
m


GridView_RowResize
m

(Row)i
GridView_ColumnResize
m

(Column)i
GridView_Scroll
m


GridView_Resize
m


GridView_Hide
m


GridView_Change
m


Edit
m

[(List)String[];(ReadOnly)b]
Editor_Activate
m


Editor_Click
m


Editor_KeyPress
m


#ToolPanel
UserContainer
C
_Properties
C
s
*,Count{Range:1;256}=1,Index,Text,TextFont,Picture,Animated,Border
:Click
:


Count
p
i

Index
p
i

Text
p
s

Picture
p
Picture

Animated
p
b

Font
p
Font

TextFont
p
Font

Border
p
b

_new
m


ToolPanelContainer_Change
m


ToolPanel_Resize
m


_get
m
ToolPanelContainer
(Index)i
#ValueBox
TextBox
C
_Properties
C
s
*,-Password,-Text,-Alignment,Type{ValueBox.Date;Identifier;Number;Time}=Number,Allowed
_DrawWith
C
s
TextBox
Number
C
i
0
Date
C
i
1
Time
C
i
2
Identifier
C
i
3
Value
p
v

Type
p
i

Text
r
s

Allowed
p
s

_new
m


TextBox_LostFocus
m


TextBox_KeyPress
m


TextBox_Change
m


Timer_Timer
m


#Wizard
UserContainer
C
_Properties
C
s
*,Count{Range:1;256}=1,Index,Text,Picture,ShowTitle=TRUE,Border=TRUE
_DefaultEvent
C
s
Change
:BeforeChange
:


:Change
:


:Cancel
:


:Click
:


:Close
:


Count
p
i

Index
p
i

LastIndex
r
i

Text
p
s

Picture
p
Picture

ShowTitle
p
b

Border
p
b

_new
m


WizardContainer_Refresh
m


_get
m
WizardContainer
(Index)i
Wizard_Previous
m


Wizard_Next
m


Wizard_Cancel
m


